ENF-G
1
BRL-CAD
BRL-CAD

# enf-g

Elysium Neutral Format Translator (ENF to BRL-CAD)

      enf-g
        -t tolerance
        -i starting_ident_number
        -l name_length_limit
        -n part_number_to_name_mapping
        input_enf_facet_file
        database.g

## DESCRIPTION

enf-g converts the specified input_enf_facet_file to a BRL-CAD database.g file. This input file is expected to be the ASCII output from the Elysium enf2mxp tessellator. The tolerance provided is the maximum distance (in mm) between two vertices at which they will be considered to be the same vertex. The starting_ident_number is the ident number to use for the first region created, each succeeding region will have their ident numbers incremented by one. If a name_length_limit is provided, then the resulting names in the BRL-CAD model will not be longer than that limit. If a part_number_to_name_mapping file is provided, then that file will be read and used to convert part numbers in the input_enf_facet_file to the corresponding names in the mapping. This file is expected to consist of a series of lines of text with each line having a part number and a legal BRL-CAD object name separated by a tab.

## EXAMPLE

    $ enf-g sample.enf sample.g

## DIAGNOSTICS

Error messages are intended to be self-explanatory.

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 2001-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.